org.springframework.core.annotation

## Class AnnotatedElementUtils

- java.lang.Object
- - org.springframework.core.annotation.AnnotatedElementUtils

-     public class AnnotatedElementUtils
      extends Object

  Utility class used to collect all annotation values including those declared on meta-annotations.
  Since:
    4.0
  Author:
    Phillip Webb, Juergen Hoeller, Sam Brannen

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AnnotatedElementUtils()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static MultiValueMap<String,Object>` | `getAllAnnotationAttributes(AnnotatedElement element, String annotationType)`
    `static MultiValueMap<String,Object>` | `getAllAnnotationAttributes(AnnotatedElement element, String annotationType, boolean classValuesAsString, boolean nestedAnnotationsAsMap)`
    `static AnnotationAttributes` | `getAnnotationAttributes(AnnotatedElement element, String annotationType)`
    `static AnnotationAttributes` | `getAnnotationAttributes(AnnotatedElement element, String annotationType, boolean classValuesAsString, boolean nestedAnnotationsAsMap)`
    `static Set<String>` | `getMetaAnnotationTypes(AnnotatedElement element, String annotationType)`
    `static boolean` | `hasMetaAnnotationTypes(AnnotatedElement element, String annotationType)`
    `static boolean` | `isAnnotated(AnnotatedElement element, String annotationType)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AnnotatedElementUtils

          public AnnotatedElementUtils()

  - ### Method Detail

    - #### getMetaAnnotationTypes

          public static Set<String> getMetaAnnotationTypes(AnnotatedElement element,
                                                           String annotationType)

    - #### hasMetaAnnotationTypes

          public static boolean hasMetaAnnotationTypes(AnnotatedElement element,
                                                       String annotationType)

    - #### isAnnotated

          public static boolean isAnnotated(AnnotatedElement element,
                                            String annotationType)

    - #### getAnnotationAttributes

          public static AnnotationAttributes getAnnotationAttributes(AnnotatedElement element,
                                                                     String annotationType)

    - #### getAnnotationAttributes

          public static AnnotationAttributes getAnnotationAttributes(AnnotatedElement element,
                                                                     String annotationType,
                                                                     boolean classValuesAsString,
                                                                     boolean nestedAnnotationsAsMap)

    - #### getAllAnnotationAttributes

          public static MultiValueMap<String,Object> getAllAnnotationAttributes(AnnotatedElement element,
                                                                                String annotationType)

    - #### getAllAnnotationAttributes

          public static MultiValueMap<String,Object> getAllAnnotationAttributes(AnnotatedElement element,
                                                                                String annotationType,
                                                                                boolean classValuesAsString,
                                                                                boolean nestedAnnotationsAsMap)